<?php
ob_start();
session_start();
include_once('producao.class.php');
include_once('../include/utilitarios.php');
include_once('../class/class.mysql.php');
include_once('../class/class.email.php');
include_once('../evento/class.evento.php');
include_once('../empresa/class.empresa.php');
include_once('../picasa/class.picasa.php');
$id_empresa = $_SESSION["fild_id_empresa"];
$mysqlCom = new MysqlConnect();

extract($_POST);

$Producao = new Producao();


if ($ax == 'InsertProducao') {
	//$id_evento = $_SESSION["fild_id_evento"];
	$id_producao = $Producao->InsertEventoProducao($id_evento, $tipo_edicao, $data);
	$Producao->InsertEventoProducaoHistorico($id_producao, $funcionario, 1);
}

if ($ax == 'UpdateProducaoX9') {
	$id_evento = $_SESSION["fild_id_evento"];
	$id_producao = $Producao->UpdateProducao($statos, $id_evento, $funcionario);
	$Producao->InsertEventoProducaoHistorico($id_producao, $funcionario, $statos);
}

if ($ax == 'UpdateProducaoSomenteX9QuandoFor6') {
	$id_evento = $_SESSION["fild_id_evento"];
	$Producao->UpdateProducaoSomenteX9QuandoFor6($statos, $id_evento, $funcionario);
}



if ($ax == 'UpdateProducao') {
	$Email = new Email();
	$Empresa = new Empresa();
	$Evento = new Evento();
	$Picasa = new Picasa();

	$Empresa->SelectEmpresa($id_empresa);
	$id_producao = $Producao->UpdateProducao($statos, $id_evento, $funcionario);
	$Producao->InsertEventoProducaoHistorico($id_producao, $funcionario, $statos);
	$contador = 0;
	$Evento->SelectEmail($id_evento);
	$contador++;
	while ($row = mysqli_fetch_object($Evento->qry)) {
		$email_cliente = $row->email;
		$emailEmpresa = $Empresa->email;
		$mensagen =
			'<table width="490" border="0">
    			 <tr>
					<td colspan="3" align="center"><h2>Olá ' . $nome_cliente . ' seu Álbum já está no site</h2></td>
  				</tr>
				  <tr>
					<td width="93" align="right">Entre no Link</td>
					<td width="11">&nbsp;</td>
					<td width="372"><a href="http://vfoto.com.br/x9">Ver minha Fotos</a></td>
				  </tr>
				  <tr>
					<td width="93" align="right">Sua Senha é</td>
					<td width="11">&nbsp;</td>
					<td width="372">' . $website . '</td>
				  </tr>
				  <tr>
				    <td colspan="3" align="center">
					<a href="http://vfoto.com.br/x9">
					<div id="pnFotoPicasa">' . $Picasa->PicasaUmaFotoIMG($id_evento, '600', 10) . '
					</div>
					</a>
					</td>
				</tr>
				  
				</table>';



		$Email->SendEmail($email_cliente, $emailEmpresa, 'Layout do Álbum já está disponível', $mensagen);
	}
	if ($contador > 0) {
		$Producao->InsertEventoProducaoHistorico($id_producao, 'Vfoto', 5);
	}
}
